var elastix_module_content_div=null;
$( document ).ready(function() {
    elastix_module_content_div=getContentFromTheme();
    if($(".neo-module-content").length>0){
        $('.neo-module-content').css('padding-top',0);
        $('.neo-module-content').css('margin-top',0);
        $('.neo-module-name-left').css('display','none');
        $('.neo-module-name').css('display','none');
        $('.neo-module-name-right').css('display','none');
        $(".neo-module-content").css('background-color','white');
    }
    var message_error_style={
        "border": '1px solid #ffde2e',
        "background-color": '#ffeb80',
        "color": '#363636',
        "border-radius": '0px 0px 0px 0px',
        "moz-border-radius": '0px 0px 0px 0px',
        "-webkit-border-radius": '0px 0px 0px 0px',
        "margin-left": '0px',
        "margin-right": '0px',
    }
    $("#message_error").css(message_error_style);
});
function newTeam(){
    var html="<div style='margin: 10px;'><div align='center'><img src='images/loading.gif' /></div></div>";
    ShowModalPopUP("Loading...", 100, 50, html);
    //showElastixUFStatusBar("Loading...");
    var arrAction = new Array();
    arrAction["menu"]="ccpro_teams";
    arrAction["action"]="new_open";
    arrAction["rawmode"]="yes";
    request("index.php", arrAction, false,
        function(arrData,statusResponse,error){
            hideModalPopUP();
            if(error != ''){
                createDivError('Error',txt_error);
            }else{
                elastix_module_content_div.html(arrData);
            }
        }
    );
}
function saveNewTeam(){
    var arrAction = new Array();
    arrAction["menu"]="ccpro_teams";
    arrAction["action"]="save_new";
    arrAction["rawmode"]="yes";
    arrAction["name"]=$("input[name='name']").val();
    arrAction["description"]=$("textarea[name='description']").val();
    request("index.php", arrAction, false,
        function(arrData,statusResponse,error){
            hideModalPopUP();
            if(error != ''){
                createDivError('Error',error);
            }else{
                elastix_module_content_div.html(arrData['content']);
                createDivError('Message',arrData['message']);
            }
        }
    );
}
function cancelTeam(){
    var html="<div style='margin: 10px;'><div align='center'><img src='images/loading.gif' /></div></div>";
    ShowModalPopUP("Loading...", 100, 50, html);
    var arrAction = new Array();
    arrAction["menu"]="ccpro_teams";
    arrAction["action"]="cancelTeam";
    arrAction["rawmode"]="yes";
    request("index.php", arrAction, false,
        function(arrData,statusResponse,error){
            hideModalPopUP();
            if(error != ''){
                alert(error);
            }else{
                elastix_module_content_div.html(arrData);
            }
        }
    );
}
function viewTeam(team_id){
    var html="<div style='margin: 10px;'><div align='center'><img src='images/loading2.gif' /></div></div>";
    ShowModalPopUP("Loading...", 100, 50, html);
    var arrAction = new Array();
    arrAction["menu"]="ccpro_teams";
    arrAction["action"]="view_edit";
    arrAction["ccpro_id"]=team_id;
    arrAction["rawmode"]="yes";
    request("index.php", arrAction, false,
        function(arrData,statusResponse,error){
            hideModalPopUP();
            if(error != ''){
                alert(error);
            }else{
                elastix_module_content_div.html(arrData);
            }
        }
    );
}
function saveEditTeam(){
    var html="<div style='margin: 10px;'><div align='center'><img src='images/loading2.gif' /></div></div>";
    ShowModalPopUP("Loading...", 100, 50, html);
    var arrAction = new Array();
    arrAction["menu"]="ccpro_teams";
    arrAction["action"]="save_edit";
    arrAction["rawmode"]="yes";
    arrAction["ccpro_id"]=$("input[name='ccpro_id']").val();
    arrAction["description"]=$("textarea[name='description']").val();
    arrAction["status"]=$("#status option:selected").val();
    request("index.php", arrAction, false,
        function(arrData,statusResponse,error){
            hideModalPopUP();
            if(error != ''){
                createDivError('Error',error);
            }else{
                elastix_module_content_div.html(arrData['content']);
                createDivError('Message',arrData['message']);
            }
        }
    );
}
function deleteTeam(msg_delete){
    var id_checkeds='';
    //debemos obtener el id de los checkbox seleccionados
    $('.chk_id:checked').each(function (e){
        if(typeof $(this).val() === "string"){
            id_checkeds +=$(this).val()+",";
        }
    });

    if(id_checkeds!=''){
        if(confirmSubmit(msg_delete)){
            var html="<div style='margin: 10px;'><div align='center'><img src='images/loading2.gif' /></div></div>";
            ShowModalPopUP("Deleting...", 100, 50, html);
            var arrAction = new Array();
            arrAction["menu"]="ccpro_teams";
            arrAction["action"]="delete";
            arrAction["rawmode"]="yes";
            arrAction["indexs"]=id_checkeds;
            request("index.php", arrAction, false,
            function(arrData,statusResponse,error){
                    hideModalPopUP();
                    if(error != ''){
                        createDivError('Error',error);
                    }else{
                        elastix_module_content_div.html(arrData['content']);
                        createDivError('Message',arrData['message']);
                    }
                }
            );
        }
    }else{
        alert('You must select at least one supervisor');
    }
}
function change_team_status(){
    var id_checkeds='';
    //debemos obtener el id de los checkbox seleccionados
    $('.chk_id:checked').each(function (e){
        if(typeof $(this).val() === "string"){
            id_checkeds +=$(this).val()+",";
        }
    });

    if(id_checkeds!=''){
        var status_team=$("#ccpro_state_team option:selected").val();
        var msg_change=$("#ccpro_state_team option:selected").attr('data-msg');

        if(status_team!='active' && status_team!='deactive'){
            alert('Invalid Status');
            return false;
        }

        if(typeof msg_change !== "string" || msg_change==''){
            msg_change="Are you sure you wish change checked teams status?";
        }

        if(confirmSubmit(msg_change)){
            var html="<div style='margin: 10px;'><div align='center'><img src='images/loading2.gif' /></div></div>";
            ShowModalPopUP("Changing...", 100, 50, html);
            var arrAction = new Array();
            arrAction["menu"]="ccpro_teams";
            arrAction["action"]="change_status_team";
            arrAction["rawmode"]="yes";
            arrAction["indexs"]=id_checkeds;
            arrAction["status"]=status_team;
            request("index.php", arrAction, false,
            function(arrData,statusResponse,error){
                    hideModalPopUP();
                    if(error != ''){
                        createDivError('Error',error);
                    }else{
                        elastix_module_content_div.html(arrData['content']);
                        createDivError('Message',arrData['message']);
                    }
                }
            );
        }
    }else{
        alert('You must select at least one supervisor');
    }
}
function viewCampaigns(team_id){
    var html="<div style='margin: 10px;'>"+
                "<div id='ccpro_loadind_img' align='center'><img src='images/loading2.gif' /></div>"+
                "<div id='ccpro_data_pop_up'></div>"+
             "</div>";
    ShowModalPopUP("Loading...", 250, 250, html);
    var arrAction = new Array();
    arrAction["menu"]="ccpro_teams";
    arrAction["action"]="view_campaigns";
    arrAction["ccpro_id"]=team_id;
    arrAction["rawmode"]="yes";
    request("index.php", arrAction, false,
        function(arrData,statusResponse,error){
            var campaigns='';
            if(error != ''){
                campaigns="<p width='100%' style='text-align:center; color:red'>"+error+"</p>";
            }else{
                campaigns='<ul>';
                for(var x in arrData){
                    campaigns +="<li>"+arrData[x]+"</li>";
                }
                campaigns +='</ul>';
            }
            $(".neo-modal-elastix-popup-box").css('height','auto');
            $(".neo-modal-elastix-popup-content").css('max-height',"210px");
            $(".neo-modal-elastix-popup-content").css('overflow-y',"auto");
            $("#ccpro_loadind_img").hide();
            $("#ccpro_data_pop_up").html(campaigns);
        }
    );
}
function createDivError(title,error){
    var txt_error='';
    if(typeof error === "string"){
        txt_error=error;
    }else{
        for(var x in error){
            txt_error +=error[x]+"<br>";
        }
    }

    if($(".neo-module-content").length>0){
        $("#message_error").remove();
        var divError ='<div class="div_msg_errors" id="message_error">'+
                    '<div style="height:24px">'+
                        '<div class="div_msg_errors_title" style="padding-left:5px">'+
                            '<b style="color:red;">'+title+'</b>'+
                        '</div>'+
                        '<div class="div_msg_errors_dismiss">'+
                            '<input type="button" onclick="hide_message_error();" value="Dismiss">'+
                        '</div>'+
                    '</div>'+
                    '<div style="padding:2px 10px 2px 10px">'+txt_error+
                    '</div>'+
                    '</div>';
    }else if($("#elx-blackmin-content").length>0){
        var divError='<div class="ui-state-highlight ui-corner-all" id="message_error">'+
            '<p>'+
                '<span class="ui-icon ui-icon-info" style="float: left; margin-right: .3em;"></span>'+
                '<span id="elastix-callcenter-info-message-text">'+title+' -'+txt_error+'</span>'+
            '</p>'+
        '</div>';
    }else{
        $(".message_board").remove();
        var divError='<table width="100%" border="0" cellspacing="0" cellpadding="0" align="center" class="message_board">'+
                     '<tr>'+
                     '<td valign="middle" class="mb_title">&nbsp;'+title+'</td>'+
                     '</tr>'+
                     '<tr>'+
                     '<td valign="middle" class="mb_message">'+txt_error+'</td>'+
                     '</tr>'+
                     '</table>';
    }
    elastix_module_content_div.prepend(divError);
}
function getContentFromTheme(){
    if($(".neo-module-content").length>0){
        return $(".neo-module-content");
    }else if($("#elx-blackmin-content").length>0){
        return $("#elx-blackmin-content");
    // Por Alex Villacís Lasso 2015/08/13: parche sucio para resolver Elastix bug #2319, pendiente de reescritura
    } else if ($("div#elxneo-content").length > 0) {
        return $("div#elxneo-content");
    }else{
        return $("body > table > tbody > tr:first > td:last > table > tbody > tr:nth-child(2) > td");
    }
}